Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DefaultBuildDefinition

    java.lang.Object
      com.atlassian.bamboo.build.DefaultBuildDefinition

All Implemented Interfaces:
  BuildDefinition

    public class DefaultBuildDefinition

extends Object
implements BuildDefinition

Field Summary
`protected Map` | `artifacts`
`protected String` | `buildChangedEmails`
`protected BuildDefinitionConverter` | `buildDefinitionConverter`
`protected Builder` | `builder`
`protected BuildStrategy` | `buildStrategy` The project object if the
`protected Map` | `customConfiguration`
`protected EmailStrategy` | `emailStrategy`
`protected String` | `exportStatusStyle`
`protected int` | `pollingPeriod`
`protected Repository` | `repository`
`protected String` | `workingDirectory`
`protected String` | `xmlData`
`protected XmppMessageSender` | `xmppMessageSender`

Constructor Summary
`DefaultBuildDefinition()`

Method Summary
`void` | `addArtifact(Artifact artifact)` Add a new artifact to the existing build artifacts
`void` | `addBuildDependency(String buildKey)`
`Map` | `getArtifacts()` Get the custom `Artifact`s.
`List` | `getBuildChangedEmailList()` Who wants to know when the build changes? A list of individual email addresses.
`String` | `getBuildChangedEmails()` Who wants to know when the build changes? One or more email addresses (comma separated list)
`List` | `getBuildDependencies()` The names of the builds that need to be build when this build is built?
`Builder` | `getBuilder()` Obtain the build's `Builder`.
`BuildStrategy` | `getBuildStrategy()` Returns to `BuildStrategy` that the user actually selects
`Map` | `getCustomConfiguration()`
`EmailStrategy` | `getEmailStrategy()` What email strategy does this build have?
`String` | `getExportStatusStyle()`
`int` | `getPollingPeriod()` How long should we wait between checking the build to see if it need building?
`Repository` | `getRepository()` Obtain the build's `Repository`.
`XmppMessageSender` | `getXmppMessageSender()` The build's option IM message server configuration
`boolean` | `hasBuildDependency(String buildKey)`
`void` | `removeBuildDependency(String buildKey)`
`void` | `setArtifacts(Map artifacts)` Replace the build's artifacts with these ones.
`void` | `setBuildChangedEmails(String emailAddress)` Define who is notified of build results by email
`void` | `setBuildDependencies(Set buildDependencies)` Set of `String` represneting the build keys
`void` | `setBuilder(Builder builder)` Set the build's builder.
`void` | `setBuildStrategy(BuildStrategy buildStrategy)` Set the strategy to override the default build strategy.
`void` | `setCustomConfiguration(Map customConfiguration)`
`void` | `setEmailStrategy(EmailStrategy emailStrategy)` Define when build build email need to be sent
`void` | `setExportStatusStyle(String exportStatus)`
`void` | `setPollingPeriod(int pollingPeriod)` How long should we wait between checking the build to see if it need building?
`void` | `setRepository(Repository repository)` Set the build's source code repository.
`void` | `setWorkingDirectory(String buildDirectory)`
`void` | `setXmppMessageSender(XmppMessageSender xmppMessageSender)` The build's option IM message server configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buildStrategy

    protected BuildStrategy buildStrategy

  The project object if the

### repository

    protected Repository repository

### pollingPeriod

    protected int pollingPeriod

### xmlData

    protected String xmlData

### artifacts

    protected Map artifacts

### buildChangedEmails

    protected String buildChangedEmails

### builder

    protected Builder builder

### emailStrategy

    protected EmailStrategy emailStrategy

### exportStatusStyle

    protected String exportStatusStyle

### workingDirectory

    protected String workingDirectory

### xmppMessageSender

    protected XmppMessageSender xmppMessageSender

### customConfiguration

    protected Map customConfiguration

### buildDefinitionConverter

    protected BuildDefinitionConverter buildDefinitionConverter

Constructor Detail

### DefaultBuildDefinition

    public DefaultBuildDefinition()

Method Detail

### getBuildStrategy

    public BuildStrategy getBuildStrategy()

  Description copied from interface: `BuildDefinition`
  Returns to `BuildStrategy` that the user actually selects

  Specified by:
    `getBuildStrategy` in interface `BuildDefinition`
  Returns:
    the selected `BuildStrategy`

### setBuildStrategy

    public void setBuildStrategy(BuildStrategy buildStrategy)

  Description copied from interface: `BuildDefinition`
  Set the strategy to override the default build strategy.

  Specified by:
    `setBuildStrategy` in interface `BuildDefinition`
  Parameters:
    `buildStrategy` - The next build strategy to use.

### getRepository

    public Repository getRepository()

  Description copied from interface: `BuildDefinition`
  Obtain the build's `Repository`.

  Specified by:
    `getRepository` in interface `BuildDefinition`
  Returns:
    The Repository

### setRepository

    public void setRepository(Repository repository)

  Description copied from interface: `BuildDefinition`
  Set the build's source code repository.

  Specified by:
    `setRepository` in interface `BuildDefinition`
  Parameters:
    `repository` - The source repoisitory

### getPollingPeriod

    public int getPollingPeriod()

  Description copied from interface: `BuildDefinition`
  How long should we wait between checking the build to see if it need building?

  Specified by:
    `getPollingPeriod` in interface `BuildDefinition`
  Returns:
    the time in seconds

### setPollingPeriod

    public void setPollingPeriod(int pollingPeriod)

  Description copied from interface: `BuildDefinition`
  How long should we wait between checking the build to see if it need building?

  Specified by:
    `setPollingPeriod` in interface `BuildDefinition`
  Parameters:
    `pollingPeriod` - The time in seconds

### getBuilder

    public Builder getBuilder()

  Description copied from interface: `BuildDefinition`
  Obtain the build's `Builder`.

  Specified by:
    `getBuilder` in interface `BuildDefinition`
  Returns:
    The builder

### setBuilder

    public void setBuilder(Builder builder)

  Description copied from interface: `BuildDefinition`
  Set the build's builder.

  Specified by:
    `setBuilder` in interface `BuildDefinition`
  Parameters:
    `builder` - the builder

### getBuildChangedEmails

    public String getBuildChangedEmails()

  Description copied from interface: `BuildDefinition`
  Who wants to know when the build changes? One or more email addresses (comma separated list)

  Specified by:
    `getBuildChangedEmails` in interface `BuildDefinition`
  Returns:
    The build email addresses

### getBuildChangedEmailList

    public List getBuildChangedEmailList()

  Description copied from interface: `BuildDefinition`
  Who wants to know when the build changes? A list of individual email addresses.

  Specified by:
    `getBuildChangedEmailList` in interface `BuildDefinition`
  Returns:
    The collection of emails.

### setBuildChangedEmails

    public void setBuildChangedEmails(String emailAddress)

  Description copied from interface: `BuildDefinition`
  Define who is notified of build results by email

  Specified by:
    `setBuildChangedEmails` in interface `BuildDefinition`
  Parameters:
    `emailAddress` - The build email address

### getEmailStrategy

    public EmailStrategy getEmailStrategy()

  Description copied from interface: `BuildDefinition`
  What email strategy does this build have?

  Specified by:
    `getEmailStrategy` in interface `BuildDefinition`

### setEmailStrategy

    public void setEmailStrategy(EmailStrategy emailStrategy)

  Description copied from interface: `BuildDefinition`
  Define when build build email need to be sent

  Specified by:
    `setEmailStrategy` in interface `BuildDefinition`
  Parameters:
    `emailStrategy` - the strategy to use from now on

### addBuildDependency

    public void addBuildDependency(String buildKey)

  Specified by:
    `addBuildDependency` in interface `BuildDefinition`

### removeBuildDependency

    public void removeBuildDependency(String buildKey)

  Specified by:
    `removeBuildDependency` in interface `BuildDefinition`

### hasBuildDependency

    public boolean hasBuildDependency(String buildKey)

  Specified by:
    `hasBuildDependency` in interface `BuildDefinition`

### getBuildDependencies

    public List getBuildDependencies()

  The names of the builds that need to be build when this build is built?

  Specified by:
    `getBuildDependencies` in interface `BuildDefinition`
  Returns:
    The names of the builds that need building

### setBuildDependencies

    public void setBuildDependencies(Set buildDependencies)

  Description copied from interface: `BuildDefinition`
  Set of `String` represneting the build keys

  Specified by:
    `setBuildDependencies` in interface `BuildDefinition`

### getArtifacts

    public Map getArtifacts()

  Description copied from interface: `BuildDefinition`
  Get the custom `Artifact`s.

  Specified by:
    `getArtifacts` in interface `BuildDefinition`
  Returns:
    The collection of artifacts, null, if the build does not have any artifacts

### addArtifact

    public void addArtifact(Artifact artifact)

  Description copied from interface: `BuildDefinition`
  Add a new artifact to the existing build artifacts

  Specified by:
    `addArtifact` in interface `BuildDefinition`

### setArtifacts

    public void setArtifacts(Map artifacts)

  Description copied from interface: `BuildDefinition`
  Replace the build's artifacts with these ones.

  Specified by:
    `setArtifacts` in interface `BuildDefinition`

### getCustomConfiguration

    public Map getCustomConfiguration()

  Specified by:
    `getCustomConfiguration` in interface `BuildDefinition`

### setCustomConfiguration

    public void setCustomConfiguration(Map customConfiguration)

  Specified by:
    `setCustomConfiguration` in interface `BuildDefinition`

### setWorkingDirectory

    public void setWorkingDirectory(String buildDirectory)

  Specified by:
    `setWorkingDirectory` in interface `BuildDefinition`

### getXmppMessageSender

    public XmppMessageSender getXmppMessageSender()

  Description copied from interface: `BuildDefinition`
  The build's option IM message server configuration

  Specified by:
    `getXmppMessageSender` in interface `BuildDefinition`

### setXmppMessageSender

    public void setXmppMessageSender(XmppMessageSender xmppMessageSender)

  Description copied from interface: `BuildDefinition`
  The build's option IM message server configuration

  Specified by:
    `setXmppMessageSender` in interface `BuildDefinition`

### setExportStatusStyle

    public void setExportStatusStyle(String exportStatus)

  Specified by:
    `setExportStatusStyle` in interface `BuildDefinition`

### getExportStatusStyle

    public String getExportStatusStyle()

  Specified by:
    `getExportStatusStyle` in interface `BuildDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.